Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.jiraserver
Interface JiraServerDefinition

All Superinterfaces:
  BambooObject

All Known Implementing Classes:
  JiraServerDefinitionImpl

    public interface JiraServerDefinition

extends BambooObject

Defines a JIRA Server.

Method Summary
`String` | `getEncryptedPassword()`
`String` | `getHost()`
`long` | `getId()`
`RemoteIssue` | `getJiraIssueByKey(String key)` This gets an issue from JIRA via SOAP RPC.
`Collection` | `getJiraIssuesByKeys(Collection keys)` Gets a collection of issues from JIRA via SOAP RPC given a collection of JIRA issue keys.
`String` | `getName()`
`String` | `getPassword()`
`String` | `getUsername()`
`void` | `setEncryptedPassword(String password)`
`void` | `setHost(String host)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`

Method Detail

### getId

    long getId()

  Specified by:
    `getId` in interface `BambooObject`
  Returns:
    Object entity Id

### setId

    void setId(long id)

  Specified by:
    `setId` in interface `BambooObject`

### getName

    String getName()

  Returns:
    a name specified by the user to label the server

### setName

    void setName(String name)

### getHost

    String getHost()

  Returns:
    the path to the JIRA server

### setHost

    void setHost(String host)

### getUsername

    String getUsername()

  Returns:
    username to the JIRA login

### setUsername

    void setUsername(String username)

### getPassword

    String getPassword()

  Returns:
    password to login to JIRA

### setPassword

    void setPassword(String password)

### getEncryptedPassword

    String getEncryptedPassword()

  Returns:
    encrypted version of the password

### setEncryptedPassword

    void setEncryptedPassword(String password)

### getJiraIssueByKey

    RemoteIssue getJiraIssueByKey(String key)
                                  throws Exception

  This gets an issue from JIRA via SOAP RPC.

  Parameters:
    `key` - - JIRA issue key
  Returns:
    `RemoteIssue` object representing the JIRA issue.
  Throws:
    `Exception`

### getJiraIssuesByKeys

    Collection getJiraIssuesByKeys(Collection keys)
                                   throws Exception

  Gets a collection of issues from JIRA via SOAP RPC given a collection of JIRA issue keys.

  Parameters:
    `keys` -
  Returns:
    `Collection` of `RemoteIssue`s.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.